Qt 5.7 | Qt Charts | QML Types | BoxSet QML Type

Qt 5.7.1 Reference Documentation

# BoxSet QML Type

Building block for box-and-whiskers chart. More...

Import Statement: | import QtCharts 2.1
Instantiates: | QBoxSet

- List of all members, including inherited members

## Properties

- count : int
- label : string
- values : string

## Signals

- onBrushChanged()
- onChangedValue(int index)
- onChangedValues()
- onCleared()
- onClicked()
- onDoubleClicked()
- onHovered(bool status)
- onPenChanged()
- onPressed()
- onReleased()

## Methods

- void append(qreal value)
- void at(int index)
- void clear()
- void setValue(int index, qreal value)

## Detailed Description

BoxSet represents one box-and-whiskers item. It takes five values to create a graphical representation of range and three medians. There are two ways to give the values. The first one is with constructor or with append method. In these the values have to be given in the following order: lower extreme, lower quartile, median, upper quartile and upper extreme. The second method is to create an empty QBoxSet instance and give the values using value specific methods.

See also BoxPlotSeries.

## Property Documentation

count : int

The count of values on the box-and-whiskers set

label : string

Defines the label of the category of the box-and-whiskers set.

values : string

The values on the box-and-whiskers set.

## Signal Documentation

onBrushChanged()

This signal is emitted when the brush of the box-and-whiskers item has changed.

onChangedValue(int index)

This signal is emitted values the value in the box-and-whiskers item has been modified. Parameter index indicates the position of the modified value.

onChangedValues()

This signal is emitted when multiple values have been changed on the box-and-whiskers item.

onCleared()

This signal is emitted when all the values on the set are cleared to 0.

onClicked()

This signal is emitted when the user clicks with a mouse on top of box-and-whiskers item.

onDoubleClicked()

This signal is emitted when the user doubleclicks with a mouse on top of box-and-whiskers item.

onHovered(bool status)

The signal is emitted if mouse is hovered on top of box-and-whiskers item. Parameter status is true, if mouse entered on top of the item, and false if mouse left from top of the item.

onPenChanged()

This signal is emitted when the pen of the box-and-whiskers item has changed.

onPressed()

This signal is emitted when the user presses with a mouse on top of box-and-whiskers item.

onReleased()

This signal is emitted when the user releases with a mouse on top of box-and-whiskers item.

## Method Documentation

void append(qreal value)

Appends new value value to the end of set.

void at(int index)

Returns the value at index position.

void clear()

Sets all values on the set to 0.

void setValue(int index, qreal value)

Sets a new value on the index position.